# Update Interaction Card

{% hint style="info" %}
These endpoints are in beta testing. Some features may not work as documented or may behave unexpectedly.&#x20;
{% endhint %}

## Update card

<mark style="color:orange;">`PUT`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/view/{{cardId}}`

Update an interaction card. The cardId must be passed in to the endpoint as a path parameter. A view object must be passed in to the body.&#x20;

#### Path Parameters

| Name   | Type    | Description    |
| ------ | ------- | -------------- |
| cardId | integer | ID of the card |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{api\_key}} |

#### Request Body

| Name  | Type   | Description                          |
| ----- | ------ | ------------------------------------ |
| title | string | Title for the card.                  |
| view  | object | View object. The card configuration. |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "success": true,
        "data": {
            "id": 17,
            "view": {
                "type": "ui_block",
                "config": {
                    "label": "mix sample",
                    "canvas": {
                        "content_url": true
                    },
                    "action_key": "test-json",
                    "action_type": "initialize_tab",
                    "iconImageUrl": "./assets/app-store/acquire_saml.svg",
                    "initialize_url": "https://0cd3f367b0ac.ngrok.io/mix1-initialize"
                }
            },
            "meta": {
                "iconImageUrl": "https://acquire.io/wp-content/themes/acquire/assets/images/common/acq-footer-black-logo.svg",
                "iconFont": "icon-ticket"
            },
            "title": "Update Interaction Cards",
            "userId": null,
            "dateCreated": null
        },
        "message": "View updated successfully."
    }
}
```

{% endtab %}
{% endtabs %}

**Body (raw)**

```
{
    "title": "Update Interaction Cards",
    "meta": {
        "iconImageUrl": "https://acquire.io/wp-content/themes/acquire/assets/images/common/acq-footer-black-logo.svg",
        "iconFont": "icon-ticket"
    },
    "contact_id": "96",
    "view": {
        "type": "ui_block",
        "config": {
        "label": "mix sample",
        "canvas": {
            "content_url": true
        },
        "action_key": "test-json",
        "action_type": "initialize_tab",
        "iconImageUrl": "./assets/app-store/acquire_saml.svg",
        "initialize_url": "https://0cd3f367b0ac.ngrok.io/mix1-initialize"
    }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/cards/interaction-cards-middle/update-interaction-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
